<?php

namespace WPIS;

class ClientAssetsManager {

	static public function init() {
        $class = new self();

        if( SettingsManager::get('enableVueShortcodes') ){
            add_action('wp_enqueue_scripts', [$class, 'wpis_add_frontend_js']);
        }
    }

    public function wpis_add_frontend_js($hook) {
        wp_enqueue_script('wpis_app', plugin_dir_url(__FILE__) . '../dist/client/frontend.js');
    }
}